global:
  scrape_interval: 30s
  evaluation_interval: 30s
  external_labels:
    environment: 'production'
    cluster: 'geosegbar'

alerting:
  alertmanagers:
    - static_configs:
        - targets: []

rule_files:
  - 'alerts.yml'

scrape_configs:
  - job_name: 'prometheus'
    static_configs:
      - targets: ['localhost:9090']

  - job_name: 'geosegbar-api'
    metrics_path: '/actuator/prometheus'
    static_configs:
      - targets: ['geosegbar-api-prod:9090']
    relabel_configs:
      - source_labels: [__address__]
        target_label: instance
        replacement: 'geosegbar-api-prod'

  - job_name: 'redis'
    static_configs:
      - targets: ['redis-exporter-prod:9121']
    relabel_configs:
      - source_labels: [__address__]
        target_label: instance
        replacement: 'redis-prod'

  - job_name: 'postgres'
    static_configs:
      - targets: ['postgres-exporter-prod:9187']
    relabel_configs:
      - source_labels: [__address__]
        target_label: instance
        replacement: 'postgres-prod'
